PowerDNS Recursor 4.1.0 DNSSEC 簽章驗證偽造弱點 (CVE-2018-1000003)

low Nessus Plugin ID 106487

Synopsis

遠端名稱伺服器受到一個偽造弱點影響。

描述

根據其自我報告的版本號碼,正在遠端主機上接聽的 PowerDNS Recursor 版本是 4.1.0。因此,在處理 NSEC 或 NSEC3 記錄的 DNSSEC 簽章驗證時受到一個缺陷影響。請注意,Nessus 並未嘗試惡意利用這些問題,而是僅依據應用程式自我報告的版本號碼。此外,Nessus 未檢查是否存在修補程式。

解決方案

升級至 PowerDNS Recursor 4.1.1 或更新版本。或者,套用供應商公告中所述的修補程式。

另請參閱

http://www.nessus.org/u?be17e57d

http://www.nessus.org/u?83c91476

Plugin 詳細資訊

嚴重性: Low

ID: 106487

檔案名稱: powerdns_recursor_4_1_1.nasl

版本: 1.5

類型: remote

系列: DNS

已發布: 2018/1/30

已更新: 2019/11/8

組態: 啟用 Paranoid 模式

風險資訊

VPR

風險因素: Low

分數: 1.4

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:N/AC:M/Au:N/C:N/I:N/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2018-1000003

CVSS v3

風險因素: Low

基本分數: 3.7

時間分數: 3.2

媒介: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/a:powerdns:powerdns, cpe:/a:powerdns:recursor

必要的 KB 項目: pdns/version_full, pdns/version_source, pdns/type, Settings/ParanoidReport

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2018/1/22

弱點發布日期: 2018/1/22

參考資訊

CVE: CVE-2018-1000003